# Truke KF configuration file

# Set to false if you don't want KF to open a browser window at each start
browser = false

# Don't change these
logging = true
embed = true

[database]
# The default database. You can change this to another database
file = "store.db"

[server]
# The default port
port = 80
# HTTP timeout in seconds (do not change)
timeout = 30 

[users]
# User database. The options are "sqlite", "htpasswd", "sql", "ldap"
# For now, do not change this.
method = "sqlite"

[session]
# Session timeout in minutes
timeout = 30 

[risk]
scale = "ap-asil"
probability_min = 1e-9   # 1e-9 equals 1 in 1000,000,000 (can represent 1 FIT)

[risk-simple]
levels
  HIGH_OP R<-0.66
  MED_OP  R<-0.33
  LOW_OP   R<-0.000000001
  NONE R=0
  LOW  R>=0.000000001
  MED  R>=0.33
  HIGH R>=0.66
probability
  E1 0.000000001
  E2 0.000001
  E3 0.001
  E4 1
severity
  "1/4 Esthetic"   0.444
  "2/4 Functional" 0.555
  "3/4 Legal"      0.888
  "4/4 Dangerous"  1
detection
  C1 0.0001
  C2 0.01
  C3 1
icons
  LOW 4
  MED 5
  HIGH 6

[risk-ap-asil]
method ap-asil
icons
  LOW 4
  MED 5
  HIGH 6
severity
  1 0.1
  2 0.2
  3 0.3
  4 0.4
  5 0.5
  6 0.6
  7 0.7
  8 0.8
  9 0.9
  10 1
  S1 1.1
  S2 1.2
  S3 1.3
probability
  1 0.001ppm
  2 1ppm
  3 10ppm
  4 100ppm
  5 0.05%
  6 0.2%
  7 1%
  8 2%
  9 5%
  10 10%
  E1 0.01%
  E2 0.1%
  E3 1%
  E4 10%
detection
  1 0.001ppm
  2 1ppm
  3 10ppm
  4 100ppm
  5 0.05%
  6 0.2%
  7 1%
  8 2%
  9 5%
  10 10%
  C1 0.0001
  C2 0.01
  C3 1



